complexType "GenericFrequency"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-generic-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier?, period?, (payerPartyReference | underlyerReference)?
</...>

Content Model Elements (4):

  payerPartyReference (in paymentFrequency defined in GenericProduct complexType),
  period (defined in Frequency complexType),
  periodMultiplier (defined in Frequency complexType),
  underlyerReference (in paymentFrequency defined in GenericProduct complexType)

All Direct / Indirect Based Elements (1):

  paymentFrequency (defined in GenericProduct complexType)

Known Usage Locations

- As direct type of elements (1):
  paymentFrequency (defined in GenericProduct complexType)

Type Definition Detail

Type Derivation Tree Frequency (extension) GenericFrequency

XML Source (see within schema source)

<xsd:complexType name="GenericFrequency"> <xsd:complexContent> <xsd:extension base="Frequency"> <xsd:choice minOccurs="0"> <xsd:element name="payerPartyReference" type="PartyReference"/> <xsd:element name="underlyerReference" type="UnderlyerReference"/> </xsd:choice> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/4)
payerPartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element name="payerPartyReference" type="PartyReference"/>

underlyerReference

  Type: | UnderlyerReference, empty content

  XML Source (see within schema source)

  <xsd:element name="underlyerReference" type="UnderlyerReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.